name: Devin Rogozinski
locality:
country: Remote
role: <a href="/job-families/people-ops/talent-brand-and-talent-acquisition-enablement/#senior-director-of-talent-brand--talent-acquisition-enablement">Senior Director, Talent Brand and Talent Acquisition Enablement</a>
reports_to: rallen3
picture: Devin_Rogo.jpeg
pronouns: He / Him
pronunciation:
twitter:
linkedin: devinrogozinski
gitlab: drogozinski
departments:
  - Talent Acquisition
  - People Group
specialty: 
expertise: Talent Brand, Recruitment Marketing
story:

